* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: "Poppins", sans-serif;
  }
  :root {
    --bg-color: #080808;
    --main-color: #ff6600;
    --text-color: white;
    --second-bg-color: #131313;
  }
  html {
    font-size: 60%;
    overflow-x: hidden;
  }
  body {
    background: var(--bg-color);
    color: var(--text-color);
  }
  .header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 4rem 12%;
    background: rgba(0, 0, 0, 0.3);
    backdrop-filter: blur(10px);
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 5;
  }
  .logo {
    font-size: 3rem;
    color: var(--text-color);
    font-weight: 800;
    cursor: pointer;
    transition: 0.3s ease;
  }
  .logo:hover {
    transform: scale(1.1);
  }
  .logo span {
    text-shadow: 0 0 25px var(--main-color);
  }
  .navbar a {
    font-size: 1.8rem;
    color: var(--text-color);
    margin-left: 4rem;
    font-weight: 500;
    transition: 0.3s ease;
    border-bottom: 3px solid transparent;
  }
  .navbar a:hover,
  .navbar a.active {
    color: var(--main-color);
    border-bottom: 3px solid var(--main-color);
  }
  
  #menu-icon {
    font-size: 3.6rem;
    color: var(--main-color);
    display: none;
  }
  
  section {
    min-height: 100vh;
    padding: 10rem 12%;
    display: flex;
    align-items: center;
    justify-content: center;
    /* gap: 15rem; */
  }
  .home-content {
    display: flex;
    flex-direction: column;
    align-items: baseline;
    text-align: left;
    justify-content: center;
    margin-top: 3rem;
  }
  span {
    color: var(--main-color);
  }
  .logo span {
    color: var(--main-color);
  }
  
  .home-content h3 {
    margin-bottom: 2rem;
    margin-top: 1rem;
    font-size: 3.5rem;
  }
  
  .home-content h1 {
    font-size: 7rem;
    font-weight: 700;
    margin-top: 1.5rem;
    line-height: 1;
  }
  .home-img {
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .home-img img {
    position: relative;
    top: 2rem;
    width: 22vw;
    border-radius: 50%;
    box-shadow: 0 0 25px var(--main-color);
    cursor: pointer;
    transition: 0.4s ease-in-out;
  }
  .home-img img:hover {
    box-shadow: 0 0 25px var(--main-color), 0 0 50px var(--main-color),
      0 0 100px var(--main-color);
  }
  .home-content p {
    font-size: 1.8rem;
    font-weight: 500;
    line-height: 1.6;
    max-width: 900px;
  }
  
  .social-links a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 4.5rem;
    height: 4.5rem;
    background: transparent;
    border: 2px solid var(--main-color);
    font-size: 2.5rem;
    border-radius: 50%;
    color: var(--main-color);
    margin: 3rem 1.5rem 3rem 0;
    transition: 0.3s ease-in-out;
  }
  
  .social-links a:hover {
    color: var(--text-color);
    transform: scale(1.3) translateY(-5px);
    box-shadow: 0 0 25px var(--main-color);
    background-color: var(--main-color);
  }
  .btn {
    display: inline-block;
    padding: 1rem 2.8rem;
    background: var(--main-color);
    box-shadow: 0 0 25px var(--main-color);
    border-radius: 4rem;
    font-size: 1.6rem;
    color: black;
    border: 2px solid transparent;
    letter-spacing: 0.1rem;
    font-weight: 600;
    transition: 0.3s ease-in-out;
    cursor: pointer;
  }
  .btn:hover {
    transform: scale(1.05);
    box-shadow: 0 0 50px var(--main-color);
  }
  .btn-group {
    display: flex;
    align-items: center;
    gap: 1.5rem;
  }
  .btn-group a:nth-of-type(2) {
    background-color: black;
    color: var(--main-color);
    border: 2px solid var(--main-color);
    box-shadow: 0 0 25px transparent;
  }
  .btn-group a:nth-of-type(2):hover {
    box-shadow: 0 0 25px var(--main-color);
    background-color: var(--main-color);
    color: black;
  }
  .btn-group a:nth-of-type(3) {
    background-color: black;
    color: var(--main-color);
    border: 2px solid var(--main-color);
    box-shadow: 0 0 25px transparent;
  }
  .btn-group a:nth-of-type(3):hover {
    box-shadow: 0 0 25px var(--main-color);
    background-color: var(--main-color);
    color: black;
  }
  
  .text-animation {
    font-size: 24px;
    font-weight: 500;
    min-width: 120px;
  }
  .text-animation span {
    position: relative;
  }
  .text-animation span::before {
    content: "Software Engineer";
    color: var(--main-color);
    animation: words 12s infinite;
  }
  .text-animation span::after {
    content: "";
    background-color: var(--bg-color);
    position: absolute;
    width: calc(80% + 4px);
    height: 100%;
    border-left: 3px solid var(--bg-color);
    right: -8px;
    animation: cursor 0.8s infinite, typing 15s steps(14) infinite;
  }
  @keyframes cursor {
    to {
      border-left: 2px solid var(--main-color);
    }
  }
  @keyframes words {
    0%,
    10% {
      content: "Software Engineer";
    }
    11%,
    20%{
        content:"Artificial Intelligence Engineer";
    }
    21%,
    36% {
      content: "Mid.Python Developer";
    }
    37%,
    50% {
      content: "Jr.Java Developer";
    }
    51%,
    65% {
      content: "Mid.Web Developer";
    }
    66%,
    80% {
      content: "Jr.Machine Learning Engineer";
    }
    81%,
    91% {
      content: "Jr.Embedded Systems Developer";
    }
    92%,
    100% {
      content: "Mid. Data Scientist / Data Engineer / Web Scraper";
    }
  }
  @keyframes typing {
    10%,
    15%,
    30%,
    35%,
    50%,
    55%,
    70%,
    75%,
    90%,
    95% {
      width: 0;
    }
    5%,
    20%,
    25%,
    40%,
    45%,
    60%,
    65%,
    80%,
    85% {
      width: calc(0px + 6px);
    }
  }
  
  .heading {
    font-size: 8rem;
    text-align: center;
    margin: 5rem 0;
  }
  
  .education {
    padding: 100px 15px;
    background: var(--second-bg-color);
  }
  
  .education h2 {
    margin-bottom: 5rem;
    margin-right: 5rem;
  }
  
  @media (max-width: 991px) {
    .education {
      display: flex;
      flex-direction: column;
    }
  
    .education h2 {
      order: -1;
      align-self: center;
      margin-top: 0;
      margin-bottom: 2rem;
      text-align: center;
    }
  }
  
  .timeline-items {
    max-width: 1200px;
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    position: relative;
  }
  .timeline-items::before {
    content: "";
    position: absolute;
    width: 5px;
    height: 100%;
    background-color: var(--main-color);
    left: calc(50% - 1px);
  }
  
  .timeline-item {
    margin-bottom: 40px;
    width: 100%;
    position: relative;
  }
  .timeline-item:last-child {
    margin-bottom: 0;
  }
  .timeline-item:nth-child(odd) {
    padding-right: calc(50% + 30px);
    text-align: right;
  }
  .timeline-item:nth-child(even) {
    padding-left: calc(50% + 30px);
  }
  .timeline-dot {
    height: 21px;
    width: 21px;
    background-color: var(--main-color);
    box-shadow: 0 0 25px var(--main-color), 0 0 50px var(--main-color);
    position: absolute;
    left: calc(50% - 8px);
    border-radius: 50%;
    top: 10px;
  }
  
  .timeline-date {
    font-size: 20px;
    font-weight: 800;
    color: white;
    margin: 6px 0 15px;
  }
  
  .timeline-content {
    background-color: var(--bg-color);
    border: 3px solid var(--main-color);
    padding: 30px 50px;
    border-radius: 4rem;
    box-shadow: 0 0 10px var(--main-color);
    cursor: pointer;
    transition: 0.3s ease-in-out;
  }
  
  .timeline-content:hover {
    transform: scale(1.05);
    box-shadow: 0 0 25px var(--main-color);
  }
  .timeline-content h3 {
    font-size: 20px;
    color: white;
    margin: 0 0 10px;
    font-weight: 500;
  }
  .timeline-content p {
    color: white;
    font-size: 16px;
    font-weight: 300;
    line-height: 22px;
  }
  ::-webkit-scrollbar {
    width: 15px;
  }
  ::-webkit-scrollbar-thumb {
    background-color: var(--main-color);
  }
  ::-webkit-scrollbar-track {
    background-color: var(--bg-color);
    width: 50px;
  }

 .experience {
    padding: 100px 15px;
    background: var(--second-bg-color);
  }
  
  .experience h2 {
    margin-bottom: 5rem;
    margin-right: 5rem;
  }
  
  @media (max-width: 991px) {
    .experience {
      display: flex;
      flex-direction: column;
    }
  
    .experience h2 {
      order: -1;
      align-self: center;
      margin-top: 0;
      margin-bottom: 2rem;
      text-align: center;
    }
  }
  
  .timeline-items {
    max-width: 1200px;
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    position: relative;
  }
  .timeline-items::before {
    content: "";
    position: absolute;
    width: 5px;
    height: 100%;
    background-color: var(--main-color);
    left: calc(50% - 1px);
  }
  
  .timeline-item {
    margin-bottom: 40px;
    width: 100%;
    position: relative;
  }
  .timeline-item:last-child {
    margin-bottom: 0;
  }
  .timeline-item:nth-child(odd) {
    padding-right: calc(50% + 30px);
    text-align: right;
  }
  .timeline-item:nth-child(even) {
    padding-left: calc(50% + 30px);
  }
  .timeline-dot {
    height: 21px;
    width: 21px;
    background-color: var(--main-color);
    box-shadow: 0 0 25px var(--main-color), 0 0 50px var(--main-color);
    position: absolute;
    left: calc(50% - 8px);
    border-radius: 50%;
    top: 10px;
  }
  
  .timeline-date {
    font-size: 20px;
    font-weight: 800;
    color: white;
    margin: 6px 0 15px;
  }
  
  .timeline-content {
    background-color: var(--bg-color);
    border: 3px solid var(--main-color);
    padding: 30px 50px;
    border-radius: 4rem;
    box-shadow: 0 0 10px var(--main-color);
    cursor: pointer;
    transition: 0.3s ease-in-out;
  }
  
  .timeline-content:hover {
    transform: scale(1.05);
    box-shadow: 0 0 25px var(--main-color);
  }
  .timeline-content h3 {
    font-size: 20px;
    color: white;
    margin: 0 0 10px;
    font-weight: 500;
  }
  .timeline-content p {
    color: white;
    font-size: 16px;
    font-weight: 300;
    line-height: 22px;
  }

  .services {
    background: var(--bg-color);
    color: black;
    padding: 100px 15px;
  }
  
  .services h2 {
    margin-top: 5rem;
    margin-right: 5rem;
    color: white;
    text-align: center;
  }
  @media (max-width: 991px) {
    .services {
      display: flex;
      flex-direction: column;
    }
  
    .services h2 {
      order: -1;
      align-self: center;
      margin-top: 0;
      margin-bottom: 2rem;
      text-align: center;
    }
  }
  
  .services-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 5.5rem;
    padding: 3rem 0;
  }
  
  @media (max-width: 768px) {
    .services-container {
      grid-template-columns: 1fr;
      gap: 3rem;
      padding: 2rem 0;
    }
  }
  
  .service-box {
    background-color: var(--main-color);
    border-radius: 3rem;
    border: 5px solid transparent;
    cursor: pointer;
    transition: 0.4s ease-in-out;
    padding: 2rem;
    position: relative;
    overflow: hidden;
  }
  
  .service-box:hover {
    background: white;
    color: black;
    border: 5px solid var(--main-color);
    transform: scale(1.03);
  }
  
  .service-info {
    display: flex;
    flex-direction: column;
    text-align: left;
    height: 100%;
    justify-content: space-between;
    align-items: flex-start;
  }
  
  .service-info h4 {
    font-size: 3rem;
    font-weight: 800;
    line-height: 1.2;
    margin-bottom: 1rem;
  }
  
  @media (max-width: 768px) {
    .service-info h4 {
      font-size: 2.5rem;
    }
  
    .service-info p {
      font-size: 1.4rem;
    }
  }
  
  .service-info p {
    font-size: 1.6rem;
    font-weight: 600;
    line-height: 1.7;
    margin-top: 1rem;
  }
  
  @media (max-width: 480px) {
    .services {
      padding: 3rem 5%;
    }
  
    .services h2 {
      margin-top: 3rem;
      font-size: 2rem;
    }
  
    .service-box {
      padding: 1.5rem;
    }
  
    .service-info h4 {
      font-size: 2rem;
    }
  
    .service-info p {
      font-size: 1.2rem;
    }
  }
  
  .project {
    background: var(--bg-color);
    color: black;
    padding: 40px 15px;
  }
  
  .project h2 {
    margin-top: 5rem;
    margin-right: 5rem;
    color: white;
    text-align: center;
  }
  @media (max-width: 991px) {
    .project {
      display: flex;
      flex-direction: column;
    }
  
    .project h2 {
      order: -1;
      align-self: center;
      margin-top: 0;
      margin-bottom: 2rem;
      text-align: center;
    }
  }
  
  .project-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 5.5rem;
    padding: 3rem 0;
  }
  
  .project-box {
    background-color: var(--main-color);
    border-radius: 2rem;
    border: 5px solid transparent;
    cursor: pointer;
    transition: 0.4s ease-in-out;
    position: relative;
    overflow: hidden;
    display: flex;
    flex-direction: column;
  }
  
  .project-box:hover {
    background: white;
    color: black;
    border: 5px solid var(--main-color);
    transform: scale(1.03);
  }
  
  .project-box a {
    text-decoration: none;
    color: inherit;
    display: flex;
    flex-direction: column;
    height: 100%;
  }
  
  .project-box img {
    width: 100%;
    height: 200px;
    object-fit: cover;
    border-top-left-radius: 2rem;
    border-top-right-radius: 2rem;
  }
  
  .project-info {
    display: flex;
    flex-direction: column;
    text-align: left;
    padding: 1.5rem;
    flex-grow: 1;
    justify-content: space-between;
  }
  
  .project-info h4 {
    font-size: 1.8rem;
    font-weight: 800;
    line-height: 1.2;
    margin-bottom: 1rem;
  }
  
  .project-info p {
    font-size: 1.2rem;
    font-weight: 600;
    line-height: 1.7;
    margin-top: 1rem;
  }
  
  .contact {
    background-color: var(--bg-color);
  }
  .contact h2 {
    margin-bottom: 3rem;
    margin-right: 5rem;
    color: white;
  }
  @media (max-width: 991px) {
    .contact {
      display: flex;
      flex-direction: column;
    }
  
    .contact h2 {
      order: -1;
      align-self: center;
      margin-top: 0;
      margin-bottom: 2rem;
      text-align: center;
    }
  }
  .contact form {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 3rem;
    margin: 5rem auto;
    text-align: center;
  }
  .contact form .input-box {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
  }
  
  .contact form .input-box input,
  .contact form textarea {
    width: 100%;
    padding: 2.5rem;
    font-size: 1.8rem;
    color: var(--text-color);
    background: var(--bg-color);
    border-radius: 2rem;
    border: 2px solid var(--main-color);
    margin: 1.5rem 0;
    resize: none;
  }
  
  .contact form .btn {
    margin-top: 2rem;
  }
  
  .footer {
    position: relative;
    bottom: 0;
    width: 100%;
    padding: 40px 0;
    background-color: var(--second-bg-color);
  }
  .footer .social {
    text-align: center;
    padding-bottom: 25px;
    color: var(--main-color);
  }
  .footer .social a {
    font-size: 25px;
    color: var(--main-color);
    border: 2px solid var(--main-color);
    width: 42px;
    height: 42px;
    line-height: 42px;
    display: inline-block;
    text-align: center;
    border-radius: 50%;
    margin: 0 10px;
    transition: 0.3s ease-in-out;
  }
  
  .footer .social a:hover {
    transform: scale(1.2) translateY(-10px);
    background-color: var(--main-color);
    color: black;
    box-shadow: 0 0 25px var(--main-color);
  }
  
  .footer ul {
    margin-top: 0;
    padding: 0;
    font-size: 18px;
    line-height: 1.6;
    margin-bottom: 0;
    text-align: center;
  }
  
  .footer ul li a {
    color: white;
    border-bottom: 3px solid transparent;
    transition: 0.3s ease-in-out;
  }
  
  .footer ul li a:hover {
    border-bottom: 3px solid var(--main-color);
  }
  
  .footer ul li {
    display: inline-block;
    padding: 0 15px;
  }
  
  .footer .copyright {
    margin-top: 50px;
    text-align: center;
    font-size: 16px;
    color: white;
  }
  
  @media (max-width: 1285px) {
    html {
      font-size: 55%;
    }
    .services-container {
      padding-bottom: 7rem;
      grid-template-columns: repeat(2, 1fr);
      margin: 0 5rem;
    }
  }
  
  @media (max-width: 991px) {
    .header {
      padding: 2rem 3%;
    }
    section {
      padding: 9rem 3% 1rem;
    }
    .timeline-item::before {
      left: 7px;
    }
    .timeline-item:nth-child(odd) {
      padding-right: 0;
      text-align: left;
    }
    .timeline-item:nth-child(odd),
    .timeline-item:nth-child(even) {
      padding-left: 27px;
    }
    .timeline-dot {
      left: 0;
    }
    .services {
      padding-bottom: 7rem;
    }
    .contact form {
      flex-direction: column;
    }
    .footer {
      padding: 2rem 3%;
    }
  }
  
  @media (max-width: 895px) {
    #menu-icon {
      display: block;
    }
    .navbar {
      position: absolute;
      top: 100%;
      right: 0;
      width: 50%;
      padding: 1rem 3%;
      background: rgba(0, 0, 0, 0.8);
      backdrop-filter: blur(20px);
      border-bottom-left-radius: 2rem;
      border-left: 2px solid var(--main-color);
      border-bottom: 2px solid var(--main-color);
      display: none;
    }
    .navbar .active {
      display: block;
    }
    .navbar a {
      display: block;
      font-size: 2rem;
      margin: 3rem 0;
      color: white;
    }
    .home {
      flex-direction: column-reverse;
      margin: 40rem 3rem;
    }
    .home-content h3 {
      font-size: 1.8rem;
    }
    .home-content h1 {
      font-size: 7rem;
      margin-top: 2rem;
    }
    .home-content p {
      max-width: 400px;
      margin: 0 auto;
    }
    .home-img img {
      width: 56vw;
    }
    .services h2 {
      margin-bottom: 3rem;
    }
    .services-container {
      grid-template-columns: repeat(1, 1fr);
    }
  }
  
  @media (max-width: 768px) {
    .container {
      display: flex;
      flex-direction: column;
      align-items: center;
    }
  
    .content {
      width: 100%;
      margin-bottom: 20px;
    }
  
    h1,
    h2 {
      font-size: 2rem;
    }
  
    p {
      font-size: 1rem;
    }
  
    .navbar {
      width: 100%;
    }
    html {
      font-size: 50%;
    }
    .home-content h1 {
      font-size: 5.5rem;
    }
    .home-content p {
      font-size: 1.5rem;
    }
    .navbar {
      width: 100%;
    }
    .home-img img {
      width: 70vw;
    }
  }
  
  @media (max-width: 576px) {
    .grid-container {
      grid-template-columns: 1fr;
    }
  
    .grid-item {
      width: 100%;
      margin-bottom: 20px;
    }
    html {
      font-size: 45%;
    }
    .header {
      padding: 1.5rem 3%;
    }
    .navbar a {
      font-size: 1.6rem;
      margin: 2rem 0;
    }
    .home-content h1 {
      font-size: 4.5rem;
    }
    .home-img img {
      width: 80vw;
    }
    .services h2,
    .project h2,
    .contact h2 {
      font-size: 3rem;
    }
  }

  /* Splash Screen Styles */
  .splash-screen {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: var(--bg-color);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 99999;
  }

  .splash-screen img {
    width: 100vw;
    height: 100vh;
    object-fit: cover;
  }

  .splash-screen.fade-out {
    opacity: 0;
    visibility: hidden;
    transition: opacity 1s ease-out, visibility 1s ease-out;
  }

  .main-content.visible {
    display: block !important;
  }

  @media screen and (max-width: 768px) {
    .splash-screen {
      width: 100vw;
      height: 100vh;
      min-height: -webkit-fill-available;
    }
    
    .splash-screen img {
      width: 100vw;
      height: 100vh;
      min-height: -webkit-fill-available;
    }
  }
